@import "./styles/_keyframes.scss";
@import "./styles/_typefaces.scss";
@import "./styles/_variables.scss";

// Additional resets.
div, h1, h2, h3, p, select {
	margin: 0;
	font-weight: 400;
}

// Body.
body {
	min-width: 20rem;
	display: flex;
	justify-content: center;
	align-items: flex-start;
	transition: background-color 1s ease;
}

// Text.
h1, h2 {
	font-family: "Frank Ruhl Libre", $Hiragino_Mincho_ProN, serif;
}

div, h3, p, select {
	font-family: "Spectral", $Hiragino_Mincho_ProN, serif;
}

h1 {
	font-size: 3.6rem;
}

h2 {
	font-size: 1.3rem;
}

h3 {
	font-size: 1.15rem;
}

div, p, select {
	font-size: 1rem;
}

// Select.
select {
	border: none;
	border-radius: $border_radius;
	padding: 0 1em;
	cursor: pointer;
	appearance: none;

	&:focus {
		outline: none;
	}
}

// Time.
.time {
	// Colon.
	.colon {
		position: relative;
		bottom: 0.1em;
	}
}

// Root.
#root {
	flex: 1;
	margin: 0 1.5rem;
	max-width: 38rem;
	min-width: 0;
	user-select: none;

	animation: fade_in 1s ease-out;
}